Bug 71555 - usb keyboard not detected during install
usb keyboard not detected during install
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-15 00:19 EDT by Devang Parekh
Modified: 2007-04-18 12:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-16 21:57:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of /sbin/lsmod on my RH 8 computer (1.26 KB, text/plain)
2002-10-12 02:00 EDT, Need Real Name
no flags Details
output of /sbin/lsmod on the Mandrake 9 computer (2.71 KB, text/plain)
2002-10-12 02:01 EDT, Need Real Name
no flags Details

  None (edit)
Description Devang Parekh 2002-08-15 00:19:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.1b) Gecko/20020721

Description of problem:
Compaq USB keyboard
All USB(embedded/legacy) is enabled in phoenix bios 4.0
Can type stuff at boot prompt.
Keyboard doesn't work after that in GUI or text install mode.
I don't have a PS/2 keyboard to install with

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot from CD #1
2.Click to Keyboard setup
3. Choose compaq keyboard
	

Actual Results:  keyboard doesn't work

Expected Results:  keyboard works

Additional info:
Comment 1 Michael Fulbright 2002-08-15 12:18:00 EDT
Could you try a text mode install - boot and enter 'linux text'.
Comment 2 Devang Parekh 2002-08-15 13:30:24 EDT
Did that. Goes through probing video, monitor, mouse (same as GUI) then can't 
get past first screen.
Comment 3 Michael Fulbright 2002-08-22 16:14:43 EDT
I have not seen this issue on my legacy free box.

Bill do you know of any usb keyboard issues like this?
Comment 4 Michael Fulbright 2002-08-22 17:46:22 EDT
Arjan do you know if there are any known problems with USB keyboards?

Comment 5 Karl F. Larsen 2002-08-25 21:57:42 EDT
How old is a legacy? My CPU is an Intel 200 MHz about 4 years old. Is that a
legacy? I recall the Windows 98 loader finding my old US Robatics modem and
called it a legacy device.I was not aware that linux worried about older devices.
Comment 6 Paul Reiner 2002-09-24 17:44:42 EDT
I have an ASUS A7V133 motherboard with the latest bios.

I am experiencing the EXACT same symptoms with the USB keyboard an USB mouse.

The keyboard works fine during bios setup and booting to the BOOT: prompt. I 
can enter "linux text" or anything else fine.
After that point I can see the system PROPERLY identifying the USB hub and the 
USB mouse. It even correctly sees its a Intellimouse.

However the keyboard is dead. Even the status lights are stuck. 

If I install a PS2 keyboard and complete the install, the USB mouse is stuck.

Something is broke bad in the USB support
Comment 7 Paul Reiner 2002-09-25 21:45:11 EDT
Updating my previous comment.
I have narrowed down the issue.

The source of my problem is the Belkin Omniview SOHO KVM. Removing it solves 
all my issues.

The problem is I cant run without this and a phone call to Belkin indicates 
that it supports Linux without any drivers.
Comment 8 Pete Zaitcev 2002-09-26 11:58:53 EDT
Curious. I know that some USB KVMs parse the HID protocol instead
of trying to pass it through, unlike PS/2 KVMs. We even ship a
workaround for broken microcode in ATEN OEM's (NetGear, some Belkins).
Of course, there's no limit to brokenness...
Comment 9 Need Real Name 2002-09-30 17:07:35 EDT
I Have the same problem as this. I have a compaq USB keyboard which I have not 
been able to use with either Redhat 7.2 or 7.3. The keyboard is recognised up 
until I choose text or graphics from the boot menu. Then thats it, The 
installation runs ok if you use graphics because there is no need to type, 
however with a text install it is not possible to complete. 
I did tinker round with Compiling a kernel myself for this but never got it to 
work.
The keyboard works fine with windows and with earlier version of Redhat.
So I ahve the Kernel from 7.1 and upgraded everything but that. It works ok. 
but i would like to use some of the newer stuff. If I upgrade the kernel I lose 
my keyboard. Maybe It will get fixed by Redhat 8.0? I live in hope.
Comment 10 Michael Fulbright 2002-10-02 16:24:21 EDT
Ok this sounds like a kernel issue.
Comment 11 Pete Zaitcev 2002-10-02 17:28:36 EDT
This bug will not be hijacked. It is considered the devang's bug,
in this case "broken Compaq USB keyboard".

Original requestor, "devang", and "hopkingn", please download boot.img
and base for RHL 8.0 from a MIRROR, and give it a try. It has a fix for
broken firmware in old Compaq and HP keyboards. Report the results, in the
bug, please. We will continue until resolved.

For "parenier", no action is needed. I'll work it out of band.
Obviously a different issue, may be fixed long ago, may be not.
Will file new bug as appropriate.

"k5di": please state what your problem is, as short and concise as
possible. Bugzilla is not a webboard for flamewars.
Comment 12 Karl F. Larsen 2002-10-02 22:10:31 EDT
This is an interesting bug, but how I got added to the e-mail list for this bug
is a mystery. I am not using a USB keyboard and my linux picks up the 2 USB
ports I have just fine.

This is K5DI or k5di and please take me off this bug.
Comment 13 Need Real Name 2002-10-12 02:00:36 EDT
Created attachment 80087 [details]
output of /sbin/lsmod on my RH 8 computer
Comment 14 Need Real Name 2002-10-12 02:01:47 EDT
Created attachment 80088 [details]
output of /sbin/lsmod on the Mandrake 9 computer
Comment 15 Need Real Name 2002-10-12 02:03:33 EDT
I am Devang's roommate. I tried installing RH 7.3 on a different computer using
the same Compaq keyboard and failed. Yesterday, I installed RH 8 on my own
computer with both the Compaq USB keyboard and a PS/2 keyboard connected. The
Compaq keyboard did not work during install, but I continued anyway to see if it
would work afterwards.

It does not. Shortly after the lilo screen, the Compaq keyboard stops working,
but the PS/2 keyboard continues to work. The Compaq keyboard works in Debian 3.0
(using the bf2.4 kernel) and Mandrake 8.2/9. Mandrake 9 loads the usbkbd module,
so I thought that might have something to do with it (because RH 8 does not). I
compiled and loaded usbkbd.o on my RH 8 computer, but the Compaq keyboard still
did not work, so that wasn't it. Any suggestions?
Comment 16 Pete Zaitcev 2002-12-13 18:16:50 EST
Status --

I am working with Paul on getting two consistent /proc/bus/usb/devices
snapshots with KVM and without it.

Devesh took over from Devang, and apparently is hitting SMM BIOS overrides.
Comment 17 Pete Zaitcev 2003-06-04 00:13:11 EDT
It may be the same, but can you retest with 2.4.20-18.7, please?
Comment 18 Dave Jones 2003-12-16 21:57:30 EST
meanwhile... nothing happens. closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.